require('str_helper')
require('split_helper')

dir_helper = {}

function dir_helper.listdir(Path)
   local Pipe = io.popen("ls -1 "..Path)
   local Output = Pipe:read("*a")
   local LineList = split_helper.splitlines(Output)
   local FileNameList = {}
   local LineNumber, Line
   for LineNumber, Line in ipairs(LineList) do
      local LineClean = str_helper.strip(Line, '\r\n', true, true)
      if LineClean:len() > 0 then
         table.insert(FileNameList, LineClean)
      end
   end
   return FileNameList
end