require('fogbugz_api')
require('file_helper')

fogcache_files = {}

function fogcache_files.fetchArticleRawHtml(Article, RawFileName, CacheConfig, UiSession)
   RawHtml = fogbugz_api.readPageHtml(CacheConfig.BASE_URL, Article.Id, UiSession)
   file_helper.writeFile( RawFileName, RawHtml)
   return RawHtml
end


function fogcache_files.loadOrFetchArticleRawHtml(Article, RawFileName, CacheConfig, UiSession)
   local RawHtml = file_helper.readFileOrDefault( RawFileName, '')
   if RawHtml == '' then
      RawHtml = fogcache_files.fetchArticleRawHtml(Article, RawFileName, CacheConfig, UiSession)
   end
   return RawHtml
end
