local function debug(A, B, C, D) end

fogcache_sitemap = {}

function fogcache_sitemap.generateSiteMap(ArticleMap, Config)
   
   if not Config.SITE_MAP_ENABLED then
      return nil
   end
   
   local Output = ''
   
   Output = Output .. 
[[
<?xml version="1.0" encoding="UTF-8"?>
<urlset
   xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"
>
]]

   local Suffix = Config.SUFFIX or ''
   local ArticleIndex, Article
   for ArticleIndex, Article in pairs(ArticleMap) do
      debug('Article:', Article.Id, Article)
      Output = Output .. '<url><loc>'..Config.sitePageUrl(Article.Id)..'</loc></url>\n'
   end
   
   Output = Output .. '</urlset>\n'
   
   debug(Output)
   return(Output)
end